Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class AttributeWildcard

    java.lang.Object
      com.sun.msv.grammar.xmlschema.AttributeWildcard

public class AttributeWildcard
extends java.lang.Object

Attribute wildcard property of the schema component.

This object is used during the parsing process to keep the intermediate information. Once the parsing is finished, attribute wildcard is kept as an expression.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static int` | `LAX`
`static int` | `SKIP`
`static int` | `STRICT`

Constructor Summary
`AttributeWildcard(NameClass name, int processMode)`

Method Summary
`AttributeWildcard` | `copy()`
`Expression` | `createExpression(XMLSchemaGrammar grammar)` Creates the expression that corresponds to the current attribute wildcard specification.
`NameClass` | `getName()` Gets the target of the name class.
`int` | `getProcessMode()` Gets the processing model of the wildcard.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SKIP

    public static final int SKIP

See Also:
  Constant Field Values

### LAX

    public static final int LAX

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

Constructor Detail

### AttributeWildcard

    public AttributeWildcard(NameClass name,
                             int processMode)

Method Detail

### getName

    public NameClass getName()

  Gets the target of the name class.

### getProcessMode

    public int getProcessMode()

  Gets the processing model of the wildcard.

### copy

    public AttributeWildcard copy()

### createExpression

    public Expression createExpression(XMLSchemaGrammar grammar)

  Creates the expression that corresponds to the current attribute wildcard specification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD